Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.ode.bpel.compiler.bom
Class PartnerLinkType

    java.lang.Object
      org.apache.ode.bpel.compiler.bom.BpelObject
          org.apache.ode.bpel.compiler.bom.BpelObject4WSDL
              org.apache.ode.bpel.compiler.bom.PartnerLinkType

All Implemented Interfaces:
  java.io.Serializable, javax.wsdl.extensions.ExtensibilityElement, SourceLocation

    public class PartnerLinkType

extends BpelObject4WSDL
implements javax.wsdl.extensions.ExtensibilityElement, java.io.Serializable

WSDL4J representation of a BPEL `<partnerLink>` declaration.

See Also:
  `org.apache.ode.bom.wsdl.PartnerLinkTypeSerializer`, Serialized Form

Nested Class Summary
`static class` | `PartnerLinkType.Role` Representation of the WSDL partnerLink link type role elements.
`static class` | `PartnerLinkType.Role11` BPEL 1.1 nonsense.

Field Summary

Fields inherited from class org.apache.ode.bpel.compiler.bom.BpelObject
`ATTR_LINENO`

Constructor Summary
`PartnerLinkType(org.w3c.dom.Element el)`

Method Summary
`javax.xml.namespace.QName` | `getName()`
`PartnerLinkType.Role` | `getRole(java.lang.String roleName)`
`java.util.List<PartnerLinkType.Role>` | `getRoles()`

Methods inherited from class org.apache.ode.bpel.compiler.bom.BpelObject4WSDL
`getElementType, getRequired, getTargetNamespace, setElementType, setRequired, setTargetNamespace`

Methods inherited from class org.apache.ode.bpel.compiler.bom.BpelObject
`createBpelObject, getAttribute, getAttribute, getAttribute, getAttribute, getChildren, getChildren, getChildren, getColumnNo, getElement, getExtensibilityElement, getExtensibilityElements, getFirstChild, getFirstChild, getFirstExtensibilityElementElement, getLineNo, getNamespaceContext, getPath, getTextValue, getType, getURI, is11, is20Draft, isAttributeSet, rewriteTargetNS, setURI, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface javax.wsdl.extensions.ExtensibilityElement
`getElementType, getRequired, setElementType, setRequired`

Constructor Detail

### PartnerLinkType

    public PartnerLinkType(org.w3c.dom.Element el)

Method Detail

### getName

    public javax.xml.namespace.QName getName()

### getRole

    public PartnerLinkType.Role getRole(java.lang.String roleName)

### getRoles

    public java.util.List<PartnerLinkType.Role> getRoles()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD